package annotation

// @Inject(name? string)

import (
	"reflect"

	cda "git.loafle.net/commons/di-go/annotation"
)

var InjectAnnotationType = reflect.TypeOf((*InjectAnnotation)(nil))

func init() {
	cda.RegisterAnnotation(InjectAnnotationType)
}

type InjectAnnotation struct {
	cda.TypeAnnotation `@annotation:"@Inject"`
	Name               string `@annotation:"name"`
}
