package annotation

import (
	"log"
	"testing"
)

func TestSplitAnnotation(t *testing.T) {
	s := "@overflow:RequestMapping(method='POST', entry='/account/signin', params='[signinID, signinPW]');@overflow:RequestMapping1(method='POST1', entry='/account/signin1', params='[signinID1, signinPW1]')"
	ss, _ := splitAnnotation(s)

	log.Printf("%v", ss)
}

func TestSplitAnnotationAttribute(t *testing.T) {
	s := "method='POST', entry='/account/signin', params='[signinID, signinPW]'"
	ss, _ := splitAnnotationAttribute(s)

	log.Printf("%v", ss)
}
