package annotation

import (
	"reflect"

	cda "git.loafle.net/commons/di-go/annotation"
)

var ResourceAnnotationType = reflect.TypeOf((*ResourceAnnotation)(nil))

func init() {
	cda.RegisterAnnotation(ResourceAnnotationType)
}

type ResourceAnnotation struct {
	cda.TypeAnnotation `@annotation:"@Resource"`
	Name               string `@annotation:"name"`
}
